Package javax.help

# Class NavigatorView

java.lang.Object
javax.help.NavigatorView

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FavoritesView`, `IndexView`, `SearchView`, `TOCView`

public abstract class NavigatorView extends Object implements Serializable
Navigational View information

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NavigatorView(HelpSet hs, String name, String label, Locale locale, Hashtable params)`
Constructs a Navigator with some given data.

## Method Summary

Modifier and Type
Method
Description
`static NavigatorView`
`create(HelpSet hs, String name, String label, Locale locale, String className, Hashtable params)`
Creates a NavigatorView for some given information.
`abstract Component`
`createNavigator(HelpModel model)`
Creates a navigator for a given model.
`HelpSet`
`getHelpSet()`
Gets the HelpSet for this Navigator view.
`Map.ID`
`getImageID()`
Returns Map ID of icons passed to this View.
`String`
`getLabel()`
Gets the locale-dependent name of this View
`String`
`getLabel(Locale locale)`
Gets the locale-dependent name of this View.
`Locale`
`getLocale()`
`String`
`getMergeType()`
Gets merge type of this Navigator view
`String`
`getName()`
Gets the name of this Navigator view.
`Hashtable`
`getParameters()`
Gets parameters passed to this View.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavigatorView

protected NavigatorView(HelpSet hs, String name, String label, Locale locale, Hashtable params)
Constructs a Navigator with some given data. This is protected so subclasses can use it.

Parameters:
  `hs` - The HelpSet that provides context information.
  `name` - The name of the View.
  `label` - The label (to show the user) of the View.
  `locale` - The default locale to interpret the data in this View.
  `params` - A hashtable that provides different key/values for this type.

## Method Details

### create

public static NavigatorView create(HelpSet hs, String name, String label, Locale locale, String className, Hashtable params) throws InvalidNavigatorViewException
Creates a NavigatorView for some given information. The type is used to determine a NavigatorView class within the ClassLoader.

Parameters:
  `hs` - The HelpSet that provides context information.
  `name` - The name of the View.
  `label` - The label (to show the user) of the View.
  `className` - The type for the View (its class name).
  `params` - A hashtable that provides different key/values for this type.
Returns:
  The desired NavigatorView object.
Throws:
  `InvalidNavigatorViewException` - if `hs`, `name`, `label`, `locale`, `className`, or `params` are null, or if a valid NavigatorView cannot be constructed from the parameters.

### createNavigator

public abstract Component createNavigator(HelpModel model)
Creates a navigator for a given model. Really a JHelpNavigator right now.

Parameters:
  `model` - The model for the Navigator.

### getHelpSet

public HelpSet getHelpSet()
Gets the HelpSet for this Navigator view.

Returns:
  the HelpSet

### getName

public String getName()
Gets the name of this Navigator view.

Returns:
  the Name of the view

### getLabel

public String getLabel(Locale locale)
Gets the locale-dependent name of this View.

Returns:
  The locale-dependent name of this view.

### getLabel

public String getLabel()
Gets the locale-dependent name of this View

Returns:
  The locale-dependent name of this view

### getLocale

public Locale getLocale()

Returns:
  The locale.

### getParameters

public Hashtable getParameters()
Gets parameters passed to this View.

Returns:
  The parameters passed to this View.

### getMergeType

public String getMergeType()
Gets merge type of this Navigator view

Returns:
  The merge type of this Navigator view

### getImageID

public Map.ID getImageID()
Returns Map ID of icons passed to this View.

Returns:
  the Map ID of icons passed to this View